
Figure - Bug #116201
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111047 (New): AF-V2.0-小窗模式

【AF】【EVT3】【小窗模式】相册小窗模式下，修改系统字体后，相册页面黑屏
2023-02-13 15:20 - CD Test赵飞

Status: CLOSED Start date: 2023-02-13

Priority: Normal Due date:

Assignee: CD Test赵飞 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0073.X101

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 当fontScale发生变化时,AbstractGalleryActivity会relaunch,而在小窗模式下,由于点击了Settings里面的字体切换,导致焦点不在小窗应用上.这样relaunch后AbstractGalleryActivity会处于onPause状态,导致GLRootView暂停刷新,处于黑屏状态

Description

【前提条件】

1、设备已开机

2、相册中存在一些图片

【测试步骤】

1、长按dock栏相册图标，选择小窗

2、保持小窗打开状态下，点击设置 - 显示 - 字体大小

3、设置字体大小为最大

4、查看相册应用显示

【预期结果】

4、相册内字体跟随设置同步发生变化

【实际结果】

4、相册页面黑屏

【日志】

见附件

History

#1 - 2023-02-14 15:16 - CD FW-鲁凯峰

■ Current conclusion

问题已经解决

■ My analysis

当fontScale发生变化时,AbstractGalleryActivity会relaunch,而在小窗模式下,由于点击了Settings里面的字体切换,导致焦点不在小窗应用上.这样relaunch

后AbstractGalleryActivity会处于onPause状态,导致GLRootView暂停刷新,处于黑屏状态

解决方法是当fontScale发生变化时,不去relaunchActivity

■ Submit URL

http://10.0.232.3:3307/gerrit/c/general/platform/packages/apps/Gallery2/+/181597
#2 - 2023-02-14 18:23 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

181597 general/platform/packages/apps/Galler

y2

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lukf0916@thundersoft.com

FW:Gallery: don't relaunch when fontscale changeTC-RID: 1201-0300701IssueID: TS-R-BUG-116201Change-Id: Ic0edddc89d0f403aa107aa7c28d5331c3e284f8d

#3 - 2023-02-14 18:32 - CD FW-鲁凯峰

- Status changed from New to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CD Test赵飞

- Resolution changed from -- to FIXED

- Root cause set to 当fontScale发生变化时,AbstractGalleryActivity会relaunch,而在小窗模式下,由于点击了Settings里面的字体切换,导致焦点不在小窗应用上.这

样relaunch后AbstractGalleryActivity会处于onPause状态,导致GLRootView暂停刷新,处于黑屏状态

Hi

目前只修改了切换字体相册页面黑屏的问题

【预期结果】

4、相册内字体跟随设置同步发生变化

针对预期结果,目前来说在小窗模式下,小窗里面的字体是不会随着设置里面的字体变化而变化的,里面的内容是缩放到全屏状态的0.8倍左右的

参考华为,小米的小窗都是如此

#4 - 2023-02-15 11:13 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

- % Done changed from 0 to 100

验证版本：FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302150106

验证结果：PASS

#5 - 2023-02-15 11:13 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

Files

logcat.txt 1.27 MB 2023-02-13 CD Test赵飞

screen-20230209-044211.mp4 10 MB 2023-02-13 CD Test赵飞
